<mat-card class="border-b mb-2"
          [ngClass]="{'border-gray-400' : icon === questionIcon,
                      'border-green-400': icon === checkIcon,
                      'border-red-400'  : icon === warningIcon}">
    <mat-card-title fxLayout="row" fxLayoutAlign="start center">
        <mat-icon #tooltip="matTooltip"
                  [matTooltip]="message | translate"
                  class="mr-2">
            {{ icon }}
        </mat-icon>
        {{position.name}}
        {{percentageChange > 0 ? '+' : ''}}{{ percentageChange ? (percentageChange | number: '1.2-2') : '- ' }}%
    </mat-card-title>
    <mat-card-subtitle fxLayout="row" fxLayoutAlign="start center">
        <div fxLayout="column" fxLayoutAlign="center end">
            <span>{{'LAST_MARKET' | translate}}: {{lastMarket?.value  | number: '1.2-2'}} {{lastCurrency?.name}}</span>
            <span>{{lastMarketDateString}}</span>
        </div>
        <div *ngIf="selectedCurrency?.id !== lastCurrency?.id &&
            selectedExchangeRate" fxLayout="column" fxLayoutAlign="center end" class="ml-2 border-l pl-2">
            <span>{{ (lastMarket?.value * selectedExchangeRate.rate)  | number: '1.2-2' }}
            {{selectedCurrency?.name}}
            (@{{selectedExchangeRate.rate | number: '1.2-2'}}
            {{selectedCurrency?.name}}/{{lastCurrency?.name}})</span>
            <span>{{selectedExchangeDateString}}</span>
        </div>
        <mat-icon *ngIf="selectedCurrency?.id !== lastCurrency?.id && selectedExchangeRate && exchangeOutdated"
                  #tooltip="matTooltip"
                  [matTooltip]="'RATE_STALE_INTERVAL' | translate" color="primary">elderly</mat-icon>
    </mat-card-subtitle>
    <mat-card-content>
        <form [formGroup]="newMarketForm">
            <mat-form-field appearance="fill" class="mr-2">
                <mat-label>{{ 'CURRENCY.ID' | translate }}</mat-label>
                <mat-select formControlName="currencyId" name="currencyId">
                    <mat-option *ngFor="let currency of currencyList"
                        [value]="currency.id">
                        {{ currency.name }}
                    </mat-option>
                </mat-select>
            </mat-form-field>

            <mat-form-field appearance="fill" class="mr-2">
                <input matInput autocomplete="off" formControlName="value"
                           type="number"
                           [class.error]="value.invalid && (value.dirty || value.touched)"
                           required>
            </mat-form-field>
            <mat-form-field appearance="fill" class="mr-2">
                <mat-label>{{ 'TRANSACTIONS.DATE' | translate }}</mat-label>
                <input matInput autocomplete="off" [ngxMatDatetimePicker]="picker1"
                       formControlName="date"
                       [class.error]="date.invalid && (date.dirty || date.touched)" required>
                <mat-datepicker-toggle matSuffix [for]="$any(picker1)"></mat-datepicker-toggle>
                <ngx-mat-datetime-picker #picker1></ngx-mat-datetime-picker>
            </mat-form-field>
        </form>
    </mat-card-content>
    <mat-card-actions>
    </mat-card-actions>
</mat-card>